> For the complete documentation index, see [llms.txt](https://docs.genlogs.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.genlogs.io/getting-started/verify.md).

# Verify

Verify if a carrier has been observed within 150 miles of an origin, destination, or along the lane within the last 90 days.&#x20;

This information can help to mitigate fraud and ensure accurate capacity claims during the carrier vetting process.

### **Logic**

Check to see if a carrier has been observed within 150 miles of an

1. Origin
2. Destination
3. Or along the lane in between

If any of the three checks are true, then the carrier is verified. GenLogs uses sensor data to confirm carrier locations along with other third party data sets.

{% hint style="info" %}
Note: It is generally recommended to 'reward' carriers when verified is true but not to 'penalize' them when verified is false.&#x20;
{% endhint %}

### **Authentication**

&#x20;Include the following headers in your requests:

* **Access-Token:**  The access token obtained from the "Create Access Token" endpoint.
* **x-api-key**: The API key provided by GenLogs. This header must be included in the request.

### Permissions

The `verifier-carrier` permission is required to access this endpoint.

### Endpoint

* **URL:** `https://api.genlogs.io/visual_sightings/verify`
* **`Method:`**` ``GET`

### Query Parameters

* **usdot** (string, Required):  usdot of the detected carrier.
* **origin\_city** (string, Required): Name of the city of the starting location.
* **origin\_state** (string, Required): Name of the state of the starting location.
* **destination\_city** (string, Optional): Name of the city of the destination location.
* **destination\_state** (string, Optional): Name of the state of the destination location.

### **Response**

* **200 OK:** A JSON object containing the message verified true or false
* **400 Bad Request:** If required parameters are missing or invalid.
* **401 Unauthorized:** If the authentication credentials (email and password) are missing or incorrect.
* **403 Forbidden**:  Access to the requested resource is forbidden.
* **500 Internal Server Error:** If there is an issue on the server that prevents processing the request.

### **Response Body:**

* verified (boolean): true or false

### Request Example:

```
curl -X GET 'https://api.genlogs.io/visual_sightings/verify?usdot=2523551&origin_state=Georgia&origin_city=Tucker' \
-H 'Access-Token: {access_token}' \
-H 'x-api-key: {your_api_key}' \
-i
```

{% openapi src="/files/lR4zyQ7rTBeVsmake7qP" path="/verify" method="get" %}
[Broken mention](broken://files/lR4zyQ7rTBeVsmake7qP)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.genlogs.io/getting-started/verify.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
